<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Security-Policy"
      content="upgrade-insecure-requests;
               require-sri-for script style;
               default-src 'none';
               connect-src 'none';
               frame-src 'none';
               img-src 'self';
               script-src 'self';
               style-src 'self' 'unsafe-inline'">
    <title>rep1y</title>
    <link integrity="sha512-oYHT2dHF0uG3pQsIeLfRxVE129XKZIV4/TQmqzmSWsQx3FaXsz2KBJBtbpeeapFdQfmoagZod71OW9KZaWo6sQ=="
      crossorigin="anonymous"
      href="/rep1y/style/rep1y.css"
      rel="stylesheet">
  </head>
  <body>
    <main>
      <div class="sketching-board">
        <!-- NEVER use allow-scripts and allow-same-origin at the same time!! -->
        <!-- https://developer.mozilla.org/en-US/docs/Web/HTML/Element/iframe#Attributes -->
        <iframe sandbox="allow-same-origin"
          class="demo"
          id="sketch"
          title="sketch"
          src="about:blank"></iframe>
        <section class="styling">
          <label for="cssCode">CSS</label>
          <textarea autocomplete="off" wrap="off" id="cssCode" class="code editor" placeholder="CSS"></textarea>
        </section>
      </div>
      <aside class="framework">
        <label for="htmlCode">HTML</label>
        <textarea autocomplete="off" wrap="off" id="htmlCode" class="code editor" placeholder="HTML"></textarea>
      </aside>
      <aside class="log">
        <label for="logger">A11y</label>
        <textarea readonly wrap="off" id="logger" class="code terminal">a11y&gt;</textarea>
      </aside>
    </main>
    <script integrity="sha512-2i4bLHIKCpop8vnil0+MsU0QiIbRkbDVfGLl4Hf55pYzoAqIDTBhquYh4ZhL7/t20qrROMjx3wsKV/WBczP8VA=="
      crossorigin="anonymous"
      src="/rep1y/scripts/axe.min.js"
      type="text/javascript"></script>
    <script integrity="sha512-q+Wz00g84x2WtfDF5f1BCRF3TFj36G1tntqEww026My+d3cr+GtL8mzaHTn0cOzeSJVftHsrgDkH9Oj3GkHEAA=="
      crossorigin="anonymous"
      src="/rep1y/scripts/purify.min.js"
      type="text/javascript"></script>
    <script integrity="sha512-F2zBU/lXRHqkyP9qjpV+PkbPcLBeafkZWRChSioj6ZWA2RNervRa1zDPZF0RswlfxygmaqrD0RhtkIr30tfVwA=="
      crossorigin="anonymous"
      src="/rep1y/scripts/rep1y.js"
      type="text/javascript"></script>
  </body>
</html>
